Python curses 모듈 관련 질문


  • Level 2

    ide내에서 python 모듈인 pwntools를 사용하려고 합니다.

    모듈 설치 후 임포트시 curses 모듈을 찾을수 없다는 에러가 나오는데요

    해당 모듈은 기본적으로 리눅스에서 지원되는 모듈로 알고 있습니다.

    해결방법이 있는지 문의 드립니다.

  • Level 12

    안녕하세요, sececter님

    현재 구름IDE에서 제공하는 파이썬에는 curses 모듈이 포함되어 있지 않아 발생하는 문제로 보입니다.
    pyenv를 통해 파이썬을 새로 설치하여 pwntools를 이용할 수 있는 방법을 안내해드립니다.
    아래의 명령어를 터미널에 순서대로 입력해 보세요.

    1. pyenv를 설치합니다.
    apt-get install libncurses-dev
    curl https://pyenv.run | bash
    
    1. 아래의 명령어를 터미널 프로필에 추가하세요.
    # 설정 -> 터미널 -> 프로필
    export PATH="~/.pyenv/bin:$PATH"
    eval "$(pyenv init --path)"
    eval "$(pyenv virtualenv-init -)"
    
    1. python을 설치하세요.
    pyenv install 3.8.1
    
    1. 터미널을 재시작하고 아래의 명령어를 입력해 pwntools를 설치하세요
    pip install pwntools
    apt-get install libcapstone-dev
    

    python의 버전이 정상적으로 적용되지 않았다면 아래의 명령어를 입력하세요.

    eval "$(pyenv init --path)"
    python -V
    # 설치한 파이썬의 버전인 3.8.1 이 출력되어야 합니다. 
    

POPULAR TOPICS

SUGGESTED TOPICS

  • 4
  • 3
  • 2
  • 1
  • 2
  • 5
  • 2
  • 2